INTERFACE
SUBROUTINE ACTQSAT ( KIDIA,KFDIA,KLON,KTDIA,KLEV,&
 & PAPRSF,PCP,PQ,PT,&
 & PGEOSLC,PLH,PLSCPE,PQSAT,PQW,PRH,PTW,&
 & CDLOCK) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM),INTENT(IN) :: KLON
INTEGER(KIND=JPIM),INTENT(IN) :: KLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KIDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KFDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KTDIA
REAL(KIND=JPRB) ,INTENT(IN) :: PAPRSF(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PCP(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQ(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PT(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PGEOSLC(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PLH(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PLSCPE(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQSAT(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PQW(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PRH(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PTW(KLON,KLEV)
CHARACTER(LEN=7) ,INTENT(IN) :: CDLOCK
END SUBROUTINE ACTQSAT
END INTERFACE
